
QGIS Application - Bug report #1014

Identify tool gives problems with PostGIS layers

2008-03-27 08:34 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11074

Description

With [[PostGIS]] Layers the identify functions don't work korrect. Do the following steps:

1. Open a [[PostGIS]] Polygon Layer

 2. Take a look at the attribute table and you see all records

 3. Click with the Identify Tool at polygons until you get the message

No Features Found

 4. Open atrribute table and you see an empty table. All select and identify funtions don't work now

History

#1 - 2008-03-28 12:26 AM - Horst Düster

I've seen that you have commited some patches of the postgis provider. Now it works fine for me. Some other issues are fixed now too. P.e. the

Geoprocessing plugin didn't work with [[PostGIS]] layers in commit:68a41f67 (SVN r8290) with commit:fa696cda (SVN r8291) it seems to be fixed. Thank

you very much. QGIS is growing to real fantastic desktop GIS.

#2 - 2008-03-28 02:55 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:fa696cda (SVN r8291)
